import request from '@/utils/request'

// export function initProject() {
//   return request({
//     url: '',
//     method: 'post',
//     data: {
//       type: '1',
//       name: 'PDM_项目名称_查询数据_按时间排序'
//     }
//   })
// }
export function intPartState() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_零件考核状态_查询数据'
    }
  })
}
export function searchmachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
export function searchgroup(num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + num
    }
  })
}
export function searchTable(check1, machine, check2, groupNum, check3, partNumber, check4, partStateValue, check5, partTypeValue, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询数据_状态_最新_MESWORK',
      param: '机床流水号_check=' + check1 + '=int&机床流水号=' + machine + '=int&组件流水号_check=' + check2 + '=int&组件流水号=' + groupNum + '=int&零件图号_check=' + check3 + '=int&零件图号=' + partNumber + '=string&考核状态_check=' + check4 + '=int&考核状态=' + partStateValue + '=int&单件是否外协_check=' + check5 + '=int&单件是否外协=' + partTypeValue + '=int',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
